import { Grid, Paper, Typography, Divider } from "@material-ui/core";
import React from "react";

export function SettingsSection(p: {
	title: string;
	children?: React.ReactNode;
}) {
	return (
		<Grid item sm={6}>
			<Paper>
				<Typography variant="h6" style={{ padding: "10px 15px " }}>
					{p.title}
				</Typography>
				<Divider />
				<div
					style={{
						display: "flex",
						flexDirection: "column",
					}}
				>
					{p.children}
				</div>
			</Paper>
		</Grid>
	);
}
